# Pseudocode

{% hint style="info" %}
The options below appear when the **Search menu is opened from the** [**Pseudocode View**](/core/user-interface/concepts/subviews.md#pseudocode-window). In other views, the menu adapts dynamically and may show a different set of options.
{% endhint %}

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                                     | Action Name                          | Description                                                                                                                                                                     |
| ------------------------------------------------------------------ | ------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Next code](/ida-actions/jumpcode.md)                              | `JumpCode`                           | Search for the next instruction in the current direction                                                                                                                        |
| [Next data](/ida-actions/jumpdata.md)                              | `JumpData`                           | Search for the next defined data item in the current direction                                                                                                                  |
| [Next explored](/ida-actions/jumpexplored.md)                      | `JumpExplored`                       | Search for the next instruction or data (first defined byte) in the current direction                                                                                           |
| [Next unexplored](/ida-actions/jumpunknown.md)                     | `JumpUnknown`                        | Search for the next unexplored byte                                                                                                                                             |
| [Immediate value...](/ida-actions/asknextimmediate.md)             | `AskNextImmediate`                   | This command searches for the first instruction or data byte that contains the specified immediate value.                                                                       |
| [Next immediate value](/ida-actions/jumpimmediate.md)              | `JumpImmediate`                      | Repeat search for immediate value                                                                                                                                               |
| [Text...](/ida-actions/asknexttext.md)                             | `AskNextText`                        | This command searches for the specified substring in the text representation of the disassembly.                                                                                |
| [Next text](/ida-actions/jumptext.md)                              | `JumpText`                           | Repeat search for text                                                                                                                                                          |
| [Sequence of bytes...](/ida-actions/askbinarytext.md)              | `AskBinaryText`                      |                                                                                                                                                                                 |
| [Next sequence of bytes](/ida-actions/jumpbinarytext.md)           | `JumpBinaryText`                     | Repeat search for sequence of bytes. This command repeats search for text in core command.                                                                                      |
| [Not function](/ida-actions/jumpnotfunction.md)                    | `JumpNotFunction`                    | Search for instruction not belonging to any function                                                                                                                            |
| [Next void](/ida-actions/jumpsuspicious.md)                        | `JumpSuspicious`                     | Search for the next instruction with void operand.                                                                                                                              |
| [Error operand](/ida-actions/jumperror.md)                         | `JumpError`                          | This command searches for the 'error' operands. Usually, these operands are displayed with a red color.                                                                         |
| [All void operands](/ida-actions/findallsuspicious.md)             | `FindAllSuspicious`                  | All void operands. This command searches for all suspicious operands and presents a list of them. You may use this list to examine the operands and modify them as needed.      |
| [All error operands](/ida-actions/findallerrors.md)                | `FindAllErrors`                      | All error operands. This command searches for all strings containing any error and presents a list of them. You may use this list to examine errors and correct them as needed. |
| Search for pictures                                                | `picture_search:search_for_pictures` |                                                                                                                                                                                 |
| [Search direction](/ida-actions/setdirection.md)                   | `SetDirection`                       | Change the search direction.                                                                                                                                                    |
| [Search highlight up](/ida-actions/searchhighlightup.md)           | `SearchHighlightUp`                  | Search highlight up                                                                                                                                                             |
| [Search highlight down](/ida-actions/searchhighlightdown.md)       | `SearchHighlightDown`                | Search highlight down                                                                                                                                                           |
| [... (unassigned)](/ida-actions/lockhighlight_0.md)                | `LockHighlight_0`                    | Lock/unlock highlight color 1                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_1.md)                | `LockHighlight_1`                    | Lock/unlock highlight color 2                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_2.md)                | `LockHighlight_2`                    | Lock/unlock highlight color 3                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_3.md)                | `LockHighlight_3`                    | Lock/unlock highlight color 4                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_4.md)                | `LockHighlight_4`                    | Lock/unlock highlight color 5                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_5.md)                | `LockHighlight_5`                    | Lock/unlock highlight color 6                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_6.md)                | `LockHighlight_6`                    | Lock/unlock highlight color 7                                                                                                                                                   |
| [... (unassigned)](/ida-actions/lockhighlight_7.md)                | `LockHighlight_7`                    | Lock highlight color 8                                                                                                                                                          |
| [Find register definition](/ida-actions/findregisterdefinition.md) | `FindRegisterDefinition`             | Find register definition                                                                                                                                                        |
| [Find register use](/ida-actions/findregisteruse.md)               | `FindRegisterUse`                    | Find register use                                                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/search/pseudocode-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
